Horizontal Scaling Operations

Operations related to horizontal scaling of Cluster Data Centres.

Get horizontal scaling operations for a Cluster Data Centre.

SecurityBasic Authentication
Request
path Parameters
clusterDataCentreId
required
string <uuid>

ID of the Cluster Data Centre.

query Parameters
activeOnly
boolean

Only return active operations.

Responses
200

Successfully retrieved the list of horizontal scaling operations.

get/cluster-management/v2/data-sources/cluster-data-centres/v2/{clusterDataCentreId}/horizontal-scaling/operations
Request samples
Response samples
application/json
{
  • "operations": [
    ]
}

Stop a horizontal scaling operation

Stops a running horizontal scaling operation.

SecurityBasic Authentication
Request
path Parameters
operationId
required
string <uuid>

ID of the horizontal scaling operation, the id returned by GET /cluster-management/v2/data-sources/cluster-data-centres/v2/{clusterDataCentreId}/horizontal-scaling/operations.

Responses
204

Stop requested. The operation shows CANCELLING until it ends.

400

The operation's bundle does not support being stopped.

403

The caller lacks the ADD_NODE permission.

404

No horizontal scaling operation with this id found.

409

The operation has already finished (COMPLETED, FAILED or CANCELLED).

503

The stop request could not be sent to the operation.

delete/cluster-management/v2/operations/horizontal-scaling/v2/{operationId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}